UnrecognizedEntityException (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.exceptions

## Class UnrecognizedEntityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.exceptions.CassandraException
        - - org.apache.cassandra.exceptions.RequestValidationException
          - - org.apache.cassandra.exceptions.InvalidRequestException
            - - org.apache.cassandra.exceptions.UnrecognizedEntityException

- All Implemented Interfaces:
    java.io.Serializable, TransportException

      public final class UnrecognizedEntityException
      extends InvalidRequestException

  Exception thrown when an entity is not recognized within a relation.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ColumnIdentifier` | `entity` The unrecognized entity.
    `Relation` | `relation` The entity relation.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnrecognizedEntityException(ColumnIdentifier entity, Relation relation)` Creates a new `UnrecognizedEntityException`.

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.exceptions.CassandraException

      `code`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

      `getMessage`

- - ### Field Detail

    - #### entity

          public final ColumnIdentifier entity

      The unrecognized entity.

    - #### relation

          public final Relation relation

      The entity relation.

  - ### Constructor Detail

    - #### UnrecognizedEntityException

          public UnrecognizedEntityException(ColumnIdentifier entity,
                                             Relation relation)

      Creates a new `UnrecognizedEntityException`.
      Parameters:
        `entity` - the unrecognized entity
        `relation` - the entity relation

Copyright © 2018 The Apache Software Foundation